Bug 1783554 - Fix copy_file_range return value in case of same-file copy on NFS
Summary: Fix copy_file_range return value in case of same-file copy on NFS
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: J. Bruce Fields
QA Contact: JianHong Yin
URL:
Whiteboard:
: 1840284 (view as bug list)
Depends On:
Blocks: 1840284
TreeView+ depends on / blocked
 
Reported: 2019-12-13 21:44 UTC by J. Bruce Fields
Modified: 2020-07-02 05:08 UTC (History)
5 users (show)

Fixed In Version: kernel-3.10.0-1148.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gitlab gitlab-org/gitlab/-/issues/218999 None None None 2020-06-19 13:35:54 UTC

Description J. Bruce Fields 2019-12-13 21:44:00 UTC
The NFS protocol doesn't allow COPY to and from the same file, but the copy_file_range() system call does allow that.  We need to return a reasonable error in that case.  Upstream NFS is returning EOPNOTSUPP, so the vfs falls back to splice.  In RHEL7 that fallback is being removed to fix bug 1736794, so we need to return ENOSYS.

Comment 8 Jan Stancek 2020-06-04 06:41:51 UTC
Patch(es) committed on kernel-3.10.0-1148.el7

Comment 13 J. Bruce Fields 2020-06-24 16:03:40 UTC
*** Bug 1840284 has been marked as a duplicate of this bug. ***

Comment 14 Marko Bevc 2020-06-24 16:19:51 UTC
Thanks, since 3.10.0-1127.13.1.el7 is repos, do we have an ETA or repo which we can try patched kernel-3.10.0-1148.el7 from? Thanks!

Comment 15 Marko Bevc 2020-06-30 17:34:27 UTC
Does anyone have any feedback on progress on this one? Thanks!

Comment 16 Christian Horn 2020-07-01 01:29:49 UTC
Marko, the proper errata meant for production systems 
should become available with the release of RHEL7.9GA.

Comment 17 Marko Bevc 2020-07-01 12:20:04 UTC
Do you have information if this is going to make it to CentOS Streams before next minor release? Trying to explore options to avoid 6 months wait time as it's blocking upgrading now. Thanks!

Comment 18 Christian Horn 2020-07-02 05:08:23 UTC
Customers with RHEL subscription and access to the rhel-7-server-htb-rpms 
channel (not sure what needs to be full filled to get that) should have 
access to kernel-3.10.0-1149.el7 and kernel-3.10.0-1152.el7 which would
also include the patch (but we would not recommend these for production 
systems).

Sorry, unsure about the centos stream release policy.  While Fedora bug-
zilla is nicely integrated with RHEL bugzilla, it's hard for me to 
identify which efforts are underway for centos stream.

Indeed, normal Centos minor releases are typically weeks after the 
upstream/rhel release.


Note You need to log in before you can comment on or make changes to this bug.